classification
Title: ltrace functionality doesn't work if there is an exception set
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lukasz.langa, miss-islington, pablogsal
Priority: normal Keywords: patch

Created on 2021-06-21 10:18 by pablogsal, last changed 2021-07-13 08:43 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26822 merged pablogsal, 2021-06-21 10:20
PR 26830 merged miss-islington, 2021-06-21 15:24
PR 26831 merged miss-islington, 2021-06-21 15:24
Messages (4)
msg396220 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-06-21 10:18
Using lltrace results in this crash because we are getting the repl with an exception set:

pop None
Assertion failed: (!_PyErr_Occurred(tstate)), function PyObject_Repr, file Objects/object.c, line 431.
pop Fatal Python error: Aborted

Current thread 0x00000001060eddc0 (most recent call first):
  File "/Users/pgalindo3/github/cpython/Lib/test/test_sys_settrace.py", line 1999 in gen
  File "/Users/pgalindo3/github/cpython/Lib/test/test_sys_settrace.py", line 2001 in test_jump_from_yield
  File "/Users/pgalindo3/github/cpython/Lib/test/test_sys_settrace.py", line 1248 in run_test
  File "/Users/pgalindo3/github/cpython/Lib/test/test_sys_settrace.py", line 1276 in test
  File "/Users/pgalindo3/github/cpython/Lib/unittest/case.py", line 549 in _callTestMethod
  File "/Users/pgalindo3/github/cpython/Lib/unittest/case.py", line 592 in run
  File "/Users/pgalindo3/github/cpython/Lib/unittest/case.py", line 652 in __call__
  File "/Users/pgalindo3/github/cpython/Lib/unittest/suite.py", line 122 in run
  File "/Users/pgalindo3/github/cpython/Lib/unittest/suite.py", line 84 in __call__
  File "/Users/pgalindo3/github/cpython/Lib/unittest/suite.py", line 122 in run
  File "/Users/pgalindo3/github/cpython/Lib/unittest/suite.py", line 84 in __call__
  File "/Users/pgalindo3/github/cpython/Lib/unittest/suite.py", line 122 in run
  File "/Users/pgalindo3/github/cpython/Lib/unittest/suite.py", line 84 in __call__
  File "/Users/pgalindo3/github/cpython/Lib/unittest/runner.py", line 176 in run
  File "/Users/pgalindo3/github/cpython/Lib/test/support/__init__.py", line 960 in _run_suite
  File "/Users/pgalindo3/github/cpython/Lib/test/support/__init__.py", line 1083 in run_unittest
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/runtest.py", line 210 in _test_module
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/runtest.py", line 246 in _runtest_inner2
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/runtest.py", line 282 in _runtest_inner
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/runtest.py", line 154 in _runtest
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/runtest.py", line 194 in runtest
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/main.py", line 423 in run_tests_sequential
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/main.py", line 521 in run_tests
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/main.py", line 694 in _main
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/main.py", line 641 in main
  File "/Users/pgalindo3/github/cpython/Lib/test/libregrtest/main.py", line 719 in main
  File "/Users/pgalindo3/github/cpython/Lib/test/__main__.py", line 2 in <module>
  File "/Users/pgalindo3/github/cpython/Lib/runpy.py", line 86 in _run_code
  File "/Users/pgalindo3/github/cpython/Lib/runpy.py", line 196 in _run_module_as_main
msg396252 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-06-21 15:24
New changeset 06cda808f149fae9b4c688f752b6eccd0d455ba4 by Pablo Galindo in branch 'main':
bpo-44472: Fix ltrace functionality when exceptions are raised (GH-26822)
https://github.com/python/cpython/commit/06cda808f149fae9b4c688f752b6eccd0d455ba4
msg397323 - (view) Author: Ɓukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-12 15:11
New changeset 6fb4248cd9502f50dd089fdcf548d735dcfd981e by Miss Islington (bot) in branch '3.9':
bpo-44472: Fix ltrace functionality when exceptions are raised (GH-26822) (#26831)
https://github.com/python/cpython/commit/6fb4248cd9502f50dd089fdcf548d735dcfd981e
msg397388 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-07-13 08:43
New changeset 4a0f1df9527f7d67064d33f5366476b3c93dc86c by Miss Islington (bot) in branch '3.10':
bpo-44472: Fix ltrace functionality when exceptions are raised (GH-26822) (GH-26830)
https://github.com/python/cpython/commit/4a0f1df9527f7d67064d33f5366476b3c93dc86c
History
Date User Action Args
2021-07-13 08:43:58pablogsalsetmessages: + msg397388
2021-07-12 15:11:14lukasz.langasetnosy: + lukasz.langa
messages: + msg397323
2021-06-21 15:25:49pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-06-21 15:24:15pablogsalsetmessages: + msg396252
2021-06-21 15:24:10miss-islingtonsetpull_requests: + pull_request25412
2021-06-21 15:24:03miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25411
2021-06-21 10:20:25pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25403
2021-06-21 10:18:55pablogsalcreate